Subject: [PATCH 2/2] ARM: OMAP3: clock: fix boot breakage in legacy mode

From: [email-masked] (Tony Lindgren)
Date: Mon, 15 Dec 2014 14:58:56 -0800

* Kevin Hilman <[email-masked]> [141215 10:26]:
> Tero Kristo <[email-masked]> writes:
> 
> > On 12/12/2014 09:07 PM, Kevin Hilman wrote:
> >> Hi Tero,
> >>
> >> Tero Kristo <[email-masked]> writes:
> >>
> >>> The new usage of determine_rate and set_rate_and_parent calls for
> >>> OMAP DPLLs assumes the DPLLs must have two parents defined, even
> >>> if it is the same clock. Legacy clock data did not fullfill this
> >>> requirement and caused a boot crash. Fixed by adding the missing
> >>> parent information to the DPLL clocks.
> >>>
> >>> Signed-off-by: Tero Kristo <[email-masked]>
> >>> Fixes: 2e1a7b014f ("ARM: OMAP3+: DPLL: use determine_rate() and...")
> >>> Cc: Kevin Hilman <[email-masked]>
> >>
> >> I tested this on linux-next (next-20141210, same version where I found
> >> the bug) and this doesn't fix the boot problem.
> >>
> >> BTW, in testing this, I noticed that the OMAP clock code is still
> >> spitting out compile warnings[1].  These should cleaned up too.
> >
> > Did you apply both of my patches from this set?
> 
> No, I didn't.  That wasn't clear (to me) from the changelogs.

The first one Mike is alredy fixing in his clock branch AFAIK.
 
> > I think the DPLL fix might be required also to get this working
> > properly on OMAP3 legacy.
> 
> Yup, with both applied, it's now booting fine on omap3-beagle-xm legacy
> mode.
> 
> Tested-by: Kevin Hilman <[email-masked]>
> 
> And, please add:
> 
> Reported-by: Kevin Hilman <[email-masked]>
> 
> (c.f. Reported-by section in Documentation/SubmittingPatches).  

I'll queue the second one separately after Mike's clock changes
hit mainline.

Thanks,

Tony